> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an ACS User

> Deletes a specified [access system user](https://docs.seam.co/low-level-apis/access-systems/user-management) and invalidates the access system user's [credentials](https://docs.seam.co/low-level-apis/access-systems/managing-credentials).



## OpenAPI

````yaml /openapi.json post /acs/users/delete
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/users/delete:
    post:
      tags:
        - /acs
      summary: Delete an ACS User
      description: >-
        Deletes a specified [access system
        user](https://docs.seam.co/low-level-apis/access-systems/user-management)
        and invalidates the access system user's
        [credentials](https://docs.seam.co/low-level-apis/access-systems/managing-credentials).
      operationId: acsUsersDeletePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_system_id:
                  description: >-
                    ID of the access system that you want to delete. You must
                    provide acs_system_id with user_identity_id.
                  format: uuid
                  type: string
                acs_user_id:
                  description: >-
                    ID of the access system user that you want to delete. You
                    must provide either acs_user_id or user_identity_id
                  format: uuid
                  type: string
                user_identity_id:
                  description: >-
                    ID of the user identity that you want to delete. You must
                    provide either acs_user_id or user_identity_id. If you
                    provide user_identity_id, you must also provide
                    acs_system_id.
                  format: uuid
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.users.delete({
              user_identity_id: "586c225c-b05c-4af4-8679-9c8a46066cce",
              acs_system_id: "1c655fbd-ecd7-49fc-a57e-b6fb67bd8d64",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/users/delete" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "user_identity_id": "586c225c-b05c-4af4-8679-9c8a46066cce",
              "acs_system_id": "1c655fbd-ecd7-49fc-a57e-b6fb67bd8d64"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.acs.users.delete(
                user_identity_id="586c225c-b05c-4af4-8679-9c8a46066cce",
                acs_system_id="1c655fbd-ecd7-49fc-a57e-b6fb67bd8d64",
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.acs.users.delete(
              user_identity_id: "586c225c-b05c-4af4-8679-9c8a46066cce",
              acs_system_id: "1c655fbd-ecd7-49fc-a57e-b6fb67bd8d64",
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->users->delete(
                user_identity_id: "586c225c-b05c-4af4-8679-9c8a46066cce",
                acs_system_id: "1c655fbd-ecd7-49fc-a57e-b6fb67bd8d64",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs users delete --user_identity_id
            "586c225c-b05c-4af4-8679-9c8a46066cce" --acs_system_id
            "1c655fbd-ecd7-49fc-a57e-b6fb67bd8d64"


            # {}
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````